# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger (const MeshVS_TwoColors &K, const TColStd_MapOfInteger &I, const TCollection_MapNodePtr &n)
MeshVS_TwoColors & | Key () const
TColStd_MapOfInteger & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MeshVS_TwoColors | myKey
TColStd_MapOfInteger | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger | ( | const MeshVS_TwoColors & | K,
|  | const TColStd_MapOfInteger & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::Handle | ( | Standard_Type |  | ) | const

MeshVS_TwoColors& MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::Key | ( |  | ) | const

TColStd_MapOfInteger& MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::Value | ( |  | ) | const

## Field Documentation

MeshVS_TwoColors MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::myKey `[private]`

TColStd_MapOfInteger MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfTwoColorsMapOfInteger.hxx